SDL_strtoull(3)

NAME
SDL_strtoull - Parse an unsigned long long from a string.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

unsigned long long SDL_strtoull(const char *str, char **endp, int base);

DESCRIPTION
If str starts with whitespace, then those whitespace characters are skipped before attempting to parse the number.

If the parsed number does not fit inside an unsigned long long, the result is clamped to the maximum representable unsigned long long value.

FUNCTION PARAMETERS

str The null-terminated string to read. Must not be NULL.

endp
    If not NULL, the address of the first invalid character (i.e. the next character after the parsed number) will be written to this pointer.

base
    The base of the integer to read. Supported values are 0 and 2 to 36 inclusive. If 0, the base will be inferred from the number's prefix (0x for hexadecimal, 0 for octal, decimal otherwise).

RETURN VALUE
Returns the parsed unsigned long long, or 0 if no number could be parsed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_atoi(3), SDL_atof(3), SDL_strtol(3), SDL_strtoll(3), SDL_strtoul(3), SDL_strtod(3), SDL_ulltoa(3)